gtk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. System.ValueType A GtkRequisition represents the desired size of a widget. The size requisition of a widget is it's desired width and height. This is represented by this structure.

How a widget determines its desired size depends on the widget. A , for example, requests enough space to display all its text. Container widgets generally base their size request on the requisitions of their children.

The size requisition phase of the widget layout process operates top-down. It starts at a top-level widget, typically a . The top-level widget asks its child for its size requisition by calling . To determine its requisition, the child asks its own children for their requisitions and so on. Finally, the top-level widget will get a requisition back from its child.

- Method
  2.12.0.0
  System.Obsolete("This is a no-op")
  Gtk.Requisition Duplicates this requisition object by value. A
- Property
  2.12.0.0
  GLib.GType GType Property. a Returns the native value for .
- Field
  2.12.0.0
  System.Int32 The requested height.
- Method
  2.12.0.0
  Gtk.Requisition `` A , the underlying C object. Constructor. A Not for general developer use.
- Method
  2.12.0.0
  Gtk.Requisition `` To be added. To be added. To be added. To be added.
- Method
  2.12.0.0
  GLib.Value `` To be added. To be added. To be added. To be added.
- Field
  2.12.0.0
  System.Int32 The requested width.
- Field
  2.12.0.0
  Gtk.Requisition An empty object.